﻿@using Newtonsoft.Json
@{
    ViewData["Title"] = "Index";
}

<h1 class="h3 mb-2 text-gray-800">Role List</h1>
<div class="h3 mb-2 row">
    <div class="col-md-12 col-lg-2">
        <a href="@Url.Action("Create", "Role")" class="btn btn-success btn-icon-split">
            <span class="icon text-white-50">
                <i class="fas fa-plus"></i>
            </span>
            <span class="text">Thêm mới</span>
        </a>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body">
        <table class="table table-bordered" id="entityTable" width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Role Name</th>
                    <!-- Thêm các cột khác tùy theo dữ liệu cần hiển thị -->
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Data)
                {
                    <tr>
                        <td>@item.Id</td>
                        <td>@item.RoleName</td>
                        <!-- Hiển thị các cột khác tương ứng -->
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>

<script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script> <!-- (Optional) Include Moment.js if needed -->
<script src="https://cdn.datatables.net/plug-ins/1.11.4/sorting/datetime-moment.js"></script> <!-- (Optional) Include Datetime-Moment sorting plugin if needed -->

<script>
    $(document).ready(function () {
        var data = @Html.Raw(JsonConvert.SerializeObject(Model.Data)); // Serialize Model.Data to JSON

        $('#entityTable').DataTable({
            // Cấu hình DataTable theo ý muốn
            "data": data, // Đưa dữ liệu từ Model vào DataTable
            "columns": [
                { "data": "Id" },
                { "data": "RoleName" },
                // Định nghĩa các cột khác tương ứng với DTO RoleDto
            ],
            // (Optional) Cấu hình thêm nếu cần
            "paging": true, // Cho phép phân trang
            "lengthChange": true, // Cho phép thay đổi số lượng bản ghi mỗi trang
            "searching": true, // Cho phép tìm kiếm
            "ordering": true, // Cho phép sắp xếp
            "info": true, // Hiển thị thông tin số bản ghi
            "autoWidth": false, // Tắt tự động điều chỉnh độ rộng cột
            "processing": true, // Hiển thị thông báo đang xử lý
            "serverSide": false // Bật chế độ xử lý phía server (nếu cần)
        });
    });
</script>